# Poco::Net

# class NetException

Library: Net
Package: NetCore
Header: Poco/Net/NetException.h

## Inheritance

Direct Base Classes: Poco::IOException

All Base Classes: Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

Known Derived Classes: InvalidAddressException, InvalidSocketException, ServiceNotFoundException, ConnectionAbortedException, ConnectionResetException, ConnectionRefusedException, DNSException, HostNotFoundException, NoAddressFoundException, InterfaceNotFoundException, NoMessageException, MessageException, MultipartException, HTTPException, NotAuthenticatedException, UnsupportedRedirectException, FTPException, SMTPException, POP3Exception, ICMPException, ICMPFragmentationException, NTPException, HTMLFormException, WebSocketException, UnsupportedFamilyException, AddressFamilyMismatchException, SSLException, SSLContextException, InvalidCertificateException, CertificateValidationException, SSLConnectionUnexpectedlyClosedException

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### NetException

NetException(
int code = 0
);

### NetException

NetException(
const NetException & exc
);

### NetException

NetException(
const std::string & msg,
int code = 0
);

### NetException

NetException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### NetException

NetException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~NetException

~NetException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::IOException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::IOException::name()

### operator =

NetException & operator = (
const NetException & exc
);

### rethrow

void rethrow() const;

See also: Poco::IOException::rethrow()